Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
vaapi [Le 17/12/2017, 00:41]
90.76.233.236 [Pilote libre radeon (recommandé)] Màj recommandations suite à expérience sur Artful
vaapi [Le 18/12/2017, 09:41] (Version actuelle)
L'Africain tag
Ligne 1: Ligne 1:
-{{tag>​Trusty matériel carte_graphique nvidia intel_graphics catalyst}}+{{tag>​Trusty ​Xenial ​matériel carte_graphique nvidia intel_graphics catalyst}}
  
 ---- ----
Ligne 6: Ligne 6:
 [[wpfr>​Video_Acceleration_API|Video Acceleration API (abrégé en VA API, VA-API ou VAAPI)]] est une bibliothèque open source (libVA) et une interface de programmation qui visent à permettre le rendu vidéo par le processeur graphique sur les systèmes dérivés d'UNIX (comme Linux ou FreeBSD) utilisant X Window System. [[wpfr>​Video_Acceleration_API|Video Acceleration API (abrégé en VA API, VA-API ou VAAPI)]] est une bibliothèque open source (libVA) et une interface de programmation qui visent à permettre le rendu vidéo par le processeur graphique sur les systèmes dérivés d'UNIX (comme Linux ou FreeBSD) utilisant X Window System.
  
-===== Pré-requis ===== 
  
-  * Disposer des [[:​sudo|droits d'​administration]]. 
-  * Disposer d'une connexion à Internet configurée et activée. 
  
 ===== Installation ===== ===== Installation =====
Ligne 17: Ligne 14:
 Pour installer ce logiciel, il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer les paquets]] **[[apt>​vdpau-va-driver,​libvdpau1|vdpau-va-driver et libvdpau1]]** qui permet l'​accélération VA API en utilisant l'​accélération VDPAU fournie par le pilote nvidia. Pour installer ce logiciel, il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer les paquets]] **[[apt>​vdpau-va-driver,​libvdpau1|vdpau-va-driver et libvdpau1]]** qui permet l'​accélération VA API en utilisant l'​accélération VDPAU fournie par le pilote nvidia.
  
-  sudo apt-get install libvdpau1 vdpau-va-driver 
 ==== Pilote Intel ==== ==== Pilote Intel ====
  
-Pour installer ce logiciel, il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer les paquets]] **[[apt>​libva-intel-vaapi-driver|libva-intel-vaapi-driver]]** qui permet l'​accélération VA API.+Pour installer ce logiciel, il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer les paquets]] **[[apt>​libva-intel-vaapi-driver|libva-intel-vaapi-driver]]** ​**[[apt>​libvdpau-va-gl1]]** et qui permet l'​accélération VA API.
  
-  sudo apt-get install libvdpau-va-gl1 +<​code>​sudo sh -c "echo '​export VDPAU_DRIVER=va_gl'​ >> /​etc/​profile"​</​code>​
-  ​sudo sh -c "echo '​export VDPAU_DRIVER=va_gl'​ >> /​etc/​profile"​+
   ​   ​
 ====Pilote Catalyst propriétaire ==== ====Pilote Catalyst propriétaire ====
-Pour utiliser ce logiciel avec le pilote propriétaire [[:​Catalyst]] d'​AMD-ATI,​ il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer les paquets]] **[[apt>​xvba-va-driver]]** qui permet l'​accélération VA API. +Pour utiliser ce logiciel avec le pilote propriétaire [[:​Catalyst]] d'​AMD-ATI,​ il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer les paquets]] **[[apt>​xvba-va-driver,​libvdpau-va-gl1]]** qui permet l'​accélération VA API. 
- +<​code>​sudo sh -c "echo '​export VDPAU_DRIVER=va_gl'​ >> /​etc/​profile"​</​code>​
-  sudo apt-get install xvba-va-driver libvdpau-va-gl1 +
-  ​sudo sh -c "echo '​export VDPAU_DRIVER=va_gl'​ >> /​etc/​profile"​+
  
 ====Pilote libre radeon (recommandé)==== ====Pilote libre radeon (recommandé)====
-Cela concerne toutes les cartes Radeon supportant l'UVD 2.2 et supérieur, soit à partir des HD 4000 (excepté HD 4200, HD 4800 et quelques Mobility HD 4000 - liste complète [[http://​en.wikipedia.org/​wiki/​Unified_Video_Decoder#​UVD-enabled_GPUs|ici]]). A partir d'​Ubuntu ​15.04, toutes les cartes Radeon supportant l'UVD sont supportées (HD 2000 et plus).+Cela concerne toutes les cartes Radeon supportant l'UVD 2.2 et supérieur, soit à partir des HD 4000 (excepté HD 4200, HD 4800 et quelques Mobility HD 4000 - liste complète [[wp>Unified_Video_Decoder#​UVD-enabled_GPUs|ici]]). A partir d'​Ubuntu ​16.04, toutes les cartes Radeon supportant l'UVD sont supportées (HD 2000 et plus).
  
 Pour [[:​Xenial|Ubuntu Xenial 16.04]] et plus récent, [[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​mesa-va-drivers]]** pour un support natif de VA-API. Pour [[:​Xenial|Ubuntu Xenial 16.04]] et plus récent, [[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​mesa-va-drivers]]** pour un support natif de VA-API.
  
-Pour [[:​Trusty|Ubuntu Trusty 14.04]] ​et les [[:​versions|versions]] supérieures, ​[[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​mesa-vdpau-drivers]]** pour un support de VDPAU (donc pas directement VA-API, mais il existe une passerelle).+Pour [[:​Trusty|Ubuntu Trusty 14.04]] [[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​mesa-vdpau-drivers]]** pour un support de VDPAU (donc pas directement VA-API, mais il existe une passerelle).
  
 ===Particularité pour Ubuntu Trusty 14.04.2=== ===Particularité pour Ubuntu Trusty 14.04.2===
  • vaapi.txt
  • Dernière modification: Le 18/12/2017, 09:41
  • par L'Africain